/*
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.facebook.testing.screenshot.sample

import com.facebook.litho.Component
import com.facebook.litho.ComponentContext
import com.facebook.litho.Row
import com.facebook.litho.annotations.LayoutSpec
import com.facebook.litho.annotations.OnCreateLayout
import com.facebook.litho.widget.Image
import com.facebook.yoga.YogaEdge

@LayoutSpec
object ImageRowSpec {
  @OnCreateLayout
  fun onCreateLayout(c: ComponentContext): Component =
      Row.create(c)
          .child(
              Image.create(c)
                  .drawableRes(R.drawable.ic_launcher_background)
                  .widthDip(64f)
                  .heightDip(64f)
                  .paddingDip(YogaEdge.ALL, 4f))
          .child(
              Image.create(c)
                  .drawableRes(R.drawable.ic_launcher_background)
                  .widthDip(128f)
                  .heightDip(128f)
                  .paddingDip(YogaEdge.ALL, 4f))
          .child(
              Image.create(c)
                  .drawableRes(R.drawable.ic_launcher_background)
                  .widthDip(32f)
                  .heightDip(32f)
                  .paddingDip(YogaEdge.ALL, 4f))
          .build()
}
